MolWriter
Date: 2019-10-22

org.jmol.util

## Class MolWriter

- java.lang.Object
- - org.jmol.util.MolWriter

-     public class MolWriter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `connections`
    `private javajs.util.P3` | `ptTemp`
    `private javajs.util.T3` | `vNorm`
    `private javajs.util.T3` | `vTemp`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MolWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addMolFile(int iModel, javajs.util.SB mol, javajs.util.BS bsAtoms, javajs.util.BS bsBonds, boolean asV3000, boolean asJSON, boolean noAromatic, javajs.util.Quat q)`
    `private java.lang.String` | `getAtomParity(Atom a)`
    `private java.lang.String` | `getAtomPropertyAsString(Atom a, int tok)`
    `private void` | `getAtomRecordMOL(int iModel, ModelSet ms, javajs.util.SB mol, int n, Atom a, javajs.util.Quat q, javajs.util.P3 pTemp, boolean asV3000, boolean asJSON, javajs.util.SB atomValues, int tokValue, boolean asSDF)`
    `private void` | `getBondRecordMOL(javajs.util.SB mol, int n, Bond b, int[] atomMap, boolean asV3000, boolean asJSON, boolean noAromatic)`
    `private void` | `output80CharWrap(javajs.util.SB mol, java.lang.String data, int maxN)`
    `private void` | `outputLines(javajs.util.SB mol, java.lang.String data, int maxN)`
    `MolWriter` | `setViewer(Viewer vwr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          private Viewer vwr

    - #### ptTemp

          private javajs.util.P3 ptTemp

    - #### vNorm

          private javajs.util.T3 vNorm

    - #### vTemp

          private javajs.util.T3 vTemp

    - #### connections

          private int[] connections

  - ### Constructor Detail

    - #### MolWriter

          public MolWriter()

  - ### Method Detail

    - #### setViewer

          public MolWriter setViewer(Viewer vwr)

    - #### addMolFile

          public boolean addMolFile(int iModel,
                                    javajs.util.SB mol,
                                    javajs.util.BS bsAtoms,
                                    javajs.util.BS bsBonds,
                                    boolean asV3000,
                                    boolean asJSON,
                                    boolean noAromatic,
                                    javajs.util.Quat q)

    - #### getAtomRecordMOL

          private void getAtomRecordMOL(int iModel,
                                        ModelSet ms,
                                        javajs.util.SB mol,
                                        int n,
                                        Atom a,
                                        javajs.util.Quat q,
                                        javajs.util.P3 pTemp,
                                        boolean asV3000,
                                        boolean asJSON,
                                        javajs.util.SB atomValues,
                                        int tokValue,
                                        boolean asSDF)

    - #### getAtomParity

          private java.lang.String getAtomParity(Atom a)

    - #### getAtomPropertyAsString

          private java.lang.String getAtomPropertyAsString(Atom a,
                                                           int tok)

    - #### getBondRecordMOL

          private void getBondRecordMOL(javajs.util.SB mol,
                                        int n,
                                        Bond b,
                                        int[] atomMap,
                                        boolean asV3000,
                                        boolean asJSON,
                                        boolean noAromatic)

    - #### output80CharWrap

          private void output80CharWrap(javajs.util.SB mol,
                                        java.lang.String data,
                                        int maxN)

      Parameters:
        `mol` -
        `data` -
        `maxN` - 80 for multi-line wrap; something smaller for single line output

    - #### outputLines

          private void outputLines(javajs.util.SB mol,
                                   java.lang.String data,
                                   int maxN)